Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2138445 - Review Request: rust-sequoia-policy-config - Configure Sequoia using a configuration file
Summary: Review Request: rust-sequoia-policy-config - Configure Sequoia using a config...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2138400
TreeView+ depends on / blocked
 
Reported: 2022-10-28 20:51 UTC by Fabio Valentini
Modified: 2022-11-14 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-14 17:43:51 UTC
Type: ---
Embargoed:
pmatilai: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2022-10-28 20:51:42 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-sequoia-policy-config.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-sequoia-policy-config-0.3.0-1.fc37.src.rpm

Description:
Configure Sequoia using a configuration file.

Fedora Account System Username: decathorpe

koji scratch build for rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=93537549

Comment 1 Alexander Sosedkin 2022-11-10 09:14:56 UTC
crypto-policies-20221110-1.git87a75f4.fc38 provides a corresponding file at `/etc/crypto-policies/back-ends/sequoia.config` location, one can use `update-crypto-policies --set (LEGACY|DEFAULT|FIPS|FUTURE|...)` to adjust the values there.

Comment 2 Panu Matilainen 2022-11-10 11:20:53 UTC
I'll work through the fedora-review template later, but this bit caught my eye in the old fashioned eyeballs over the spec style:

> License:        LGPL-2.0-or-later

According to https://fedoraproject.org/wiki/Licensing:Main that ought to be "LGPLv2+"

Comment 3 Fabio Valentini 2022-11-10 12:16:58 UTC
The wiki page is outdated (no idea why it doesn't redirect to the new fedora-legal docs):
https://docs.fedoraproject.org/en-US/legal/allowed-licenses/

And there, LGPL-2.0-or-later is listed as the correct identifier.

Comment 4 Panu Matilainen 2022-11-10 13:02:04 UTC
Ehh, indeed... the top of the wiki page *does* say it's outdated, but I jumped right into the middle and never saw it... Sorry about the noise then.

Comment 5 Panu Matilainen 2022-11-11 12:04:52 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/cargo/registry/sequoia-
  policy-config-0.3.0/LICENSE.txt
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files

  (this is a harmless warning due to an rpm limitation, basically)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Library General Public License v2
     or later". 14 files have unknown license. Detailed output of
     licensecheck in /tmp/2138445-rust-sequoia-policy-
     config/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     sequoia-policy-config-devel , rust-sequoia-policy-config+default-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

rust-sequoia-policy-config+default-devel.noarch: W: no-documentation
 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://crates.io/api/v1/crates/sequoia-policy-config/0.3.0/download#/sequoia-policy-config-0.3.0.crate :
  CHECKSUM(SHA256) this package     : d09c419dbf3c062d23d5258ca69acb5222b5e8f8e796d0e31db121144eefc1a6
  CHECKSUM(SHA256) upstream package : d09c419dbf3c062d23d5258ca69acb5222b5e8f8e796d0e31db121144eefc1a6


Requires
--------
rust-sequoia-policy-config-devel (rpmlib, GLIBC filtered):
    (crate(anyhow/default) >= 1.0.18 with crate(anyhow/default) < 2.0.0~)
    (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0~)
    (crate(sequoia-openpgp/crypto-nettle) >= 1.0.0 with crate(sequoia-openpgp/crypto-nettle) < 2.0.0~)
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0~)
    (crate(thiserror/default) >= 1.0.2 with crate(thiserror/default) < 2.0.0~)
    (crate(toml/default) >= 0.5.0 with crate(toml/default) < 0.6.0~)
    cargo

rust-sequoia-policy-config+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(sequoia-policy-config)



Provides
--------
rust-sequoia-policy-config-devel:
    crate(sequoia-policy-config)
    rust-sequoia-policy-config-devel

rust-sequoia-policy-config+default-devel:
    crate(sequoia-policy-config/default)
    rust-sequoia-policy-config+default-devel



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2138445
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Haskell, PHP, fonts, Ocaml, Perl, Python, R, C/C++, SugarActivity, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Panu Matilainen 2022-11-11 12:11:17 UTC
Just FWIW, if you need a reviewer or tester for these rpm-sequoia related thingies, feel free to CC or ping me otherwise.

Comment 7 Fabio Valentini 2022-11-12 14:11:27 UTC
I'll keep that in mind, thanks for the review!

Comment 8 Gwyn Ciesla 2022-11-14 15:04:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-sequoia-policy-config

Comment 9 Fedora Update System 2022-11-14 17:40:30 UTC
FEDORA-2022-bad359d072 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-bad359d072

Comment 10 Fedora Update System 2022-11-14 17:43:51 UTC
FEDORA-2022-bad359d072 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.